Bug 583768 - Insufficient requirement to gtk2
Summary: Insufficient requirement to gtk2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkmm24
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-19 17:02 UTC by Mads Kiilerich
Modified: 2010-05-06 03:41 UTC (History)
3 users (show)

Fixed In Version: gstreamermm-0.10.7-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-06 03:41:55 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2010-04-19 17:02:28 UTC
Description of problem:

On my partially-updated-from-f12-to-f13-but-rpm-dep-consistent system with
  gtkmm24-2.19.7-1.fc13.i686
  inkscape-0.47-6.fc13.i686
  gtk2-2.18.9-3.fc12.i686
I got 
  $ inkscape 
  inkscape: symbol lookup error: /usr/lib/libgtkmm-2.4.so.1: undefined symbol: gtk_cell_renderer_spinner_get_type

Updating to gtk2-2.20.0-1.fc13.i686 solved the problem.

So it seems like gtkmm24 has insufficient requirements? (Or that isn't gtk2 libs isn't properly versioned?)

Comment 1 Fedora Update System 2010-04-30 07:08:42 UTC
gstreamermm-0.10.7-1.fc13,glom-1.14.1-1.fc13,gtkmm24-2.20.2-1.fc13,glibmm24-2.24.1-1.fc13,pygoocanvas-0.14.1-2.fc13,goocanvasmm-0.15.2-1.fc13,goocanvas-0.15-1.fc13,libgdamm-3.99.19-1.fc13,libgda-4.1.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gstreamermm-0.10.7-1.fc13,glom-1.14.1-1.fc13,gtkmm24-2.20.2-1.fc13,glibmm24-2.24.1-1.fc13,pygoocanvas-0.14.1-2.fc13,goocanvasmm-0.15.2-1.fc13,goocanvas-0.15-1.fc13,libgdamm-3.99.19-1.fc13,libgda-4.1.4-1.fc13

Comment 2 Haïkel Guémar 2010-04-30 07:18:18 UTC
GtkSpinner appeared in Gtk+ 2.19/2.20, requirements were updated to >= 2.20.0.

Comment 3 Mads Kiilerich 2010-04-30 12:53:47 UTC
So the gtk so's has not been properly versioned?

Comment 4 Fedora Update System 2010-04-30 23:43:02 UTC
gstreamermm-0.10.7-1.fc13, glom-1.14.1-1.fc13, gtkmm24-2.20.2-1.fc13, glibmm24-2.24.1-1.fc13, pygoocanvas-0.14.1-2.fc13, goocanvasmm-0.15.2-1.fc13, goocanvas-0.15-1.fc13, libgdamm-3.99.19-1.fc13, libgda-4.1.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamermm glom gtkmm24 glibmm24 pygoocanvas goocanvasmm goocanvas libgdamm libgda'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gstreamermm-0.10.7-1.fc13,glom-1.14.1-1.fc13,gtkmm24-2.20.2-1.fc13,glibmm24-2.24.1-1.fc13,pygoocanvas-0.14.1-2.fc13,goocanvasmm-0.15.2-1.fc13,goocanvas-0.15-1.fc13,libgdamm-3.99.19-1.fc13,libgda-4.1.4-1.fc13

Comment 5 Fedora Update System 2010-05-06 03:41:43 UTC
gstreamermm-0.10.7-1.fc13, glom-1.14.1-1.fc13, gtkmm24-2.20.2-1.fc13, glibmm24-2.24.1-1.fc13, pygoocanvas-0.14.1-2.fc13, goocanvasmm-0.15.2-1.fc13, goocanvas-0.15-1.fc13, libgdamm-3.99.19-1.fc13, libgda-4.1.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.